Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ha.jndi
Class TreeHead

    java.lang.Object
      org.jnp.server.NamingServer
          org.jboss.ha.jndi.TreeHead

All Implemented Interfaces:
  org.jnp.interfaces.Naming, Remote, Serializable

public class TreeHead
extends org.jnp.server.NamingServer
implements Serializable, org.jnp.interfaces.Naming

This class extends the JNP JNDI implementation. binds and unbinds will be distributed to all members of the cluster that are running HAJNDI. lookups will look for Names in HAJNDI then delegate to the local InitialContext This class is fully serializable for GET_STATE

Version:
  $Revision: 1.5.6.1 $
Author:
  Sacha Labourey, Scott.Stark@jboss.org
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jnp.server.NamingServer
`parent, parser, prefix, table`

Constructor Summary
`TreeHead()`

Method Summary
`void` | `_bind(Name name, Object obj, String className)`
`Context` | `_createSubcontext(Name name)`
`Object` | `_lookupLocally(Name name)`
`void` | `_rebind(Name name, Object obj, String className)`
`void` | `_unbind(Name name)`
`void` | `bind(Name name, Object obj, String className)`
`Context` | `createSubcontext(Name name)`
`protected ArrayList` | `enum2list(NamingEnumeration en)`
`org.jnp.interfaces.Naming` | `getRoot()`
`void` | `init()`
`Collection` | `list(Name name)`
`Collection` | `listBindings(Name name)`
`Object` | `lookup(Name name)`
`Object` | `lookupLocally(Name name)`
`void` | `rebind(Name name, Object obj, String className)`
`void` | `setHARMIHead(HAJNDI father)`
`void` | `setPartition(HAPartition partition)`
`void` | `stop()`
`void` | `unbind(Name name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeHead

    public TreeHead()
             throws NamingException

Method Detail

### init

    public void init()
              throws Exception

  Throws:
    `Exception`

### stop

    public void stop()
              throws Exception

  Throws:
    `Exception`

### setPartition

    public void setPartition(HAPartition partition)

### setHARMIHead

    public void setHARMIHead(HAJNDI father)

### _bind

    public void _bind(Name name,
                      Object obj,
                      String className)
               throws NamingException

  Throws:
    `NamingException`

### bind

    public void bind(Name name,
                     Object obj,
                     String className)
              throws NamingException

  Specified by:
    `bind` in interface `org.jnp.interfaces.Naming`
  Throws:
    `NamingException`

### _rebind

    public void _rebind(Name name,
                        Object obj,
                        String className)
                 throws NamingException

  Throws:
    `NamingException`

### rebind

    public void rebind(Name name,
                       Object obj,
                       String className)
                throws NamingException

  Specified by:
    `rebind` in interface `org.jnp.interfaces.Naming`
  Throws:
    `NamingException`

### _unbind

    public void _unbind(Name name)
                 throws NamingException

  Throws:
    `NamingException`

### unbind

    public void unbind(Name name)
                throws NamingException

  Specified by:
    `unbind` in interface `org.jnp.interfaces.Naming`
  Throws:
    `NamingException`

### lookup

    public Object lookup(Name name)
                  throws NamingException

  Specified by:
    `lookup` in interface `org.jnp.interfaces.Naming`
  Throws:
    `NamingException`

### _lookupLocally

    public Object _lookupLocally(Name name)

### lookupLocally

    public Object lookupLocally(Name name)
                         throws NamingException

  Throws:
    `NamingException`

### enum2list

    protected ArrayList enum2list(NamingEnumeration en)

### list

    public Collection list(Name name)
                    throws NamingException

  Specified by:
    `list` in interface `org.jnp.interfaces.Naming`
  Throws:
    `NamingException`

### listBindings

    public Collection listBindings(Name name)
                            throws NamingException

  Specified by:
    `listBindings` in interface `org.jnp.interfaces.Naming`
  Throws:
    `NamingException`

### _createSubcontext

    public Context _createSubcontext(Name name)
                              throws NamingException

  Throws:
    `NamingException`

### createSubcontext

    public Context createSubcontext(Name name)
                             throws NamingException

  Specified by:
    `createSubcontext` in interface `org.jnp.interfaces.Naming`
  Throws:
    `NamingException`

### getRoot

    public org.jnp.interfaces.Naming getRoot()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.